# Uses of Package
org.snpsift.lang.expression

Packages that use org.snpsift.lang.expression
Package
Description
org.snpsift
org.snpsift.lang
org.snpsift.lang.expression
org.snpsift.lang.function

Classes in org.snpsift.lang.expression used by org.snpsift
Class
Description
Expression
A generic expresion Expressions have values (VcfInfoType)
Classes in org.snpsift.lang.expression used by org.snpsift.lang
Class
Description
Expression
A generic expresion Expressions have values (VcfInfoType)
Field
A field: E.g.: 'DP', 'CHROM'
Classes in org.snpsift.lang.expression used by org.snpsift.lang.expression
Class
Description
Eq
Equal
Exists
Exists operator (true if a field exists)
Expression
A generic expresion Expressions have values (VcfInfoType)
ExpressionBinary
Binary condition
ExpressionUnary
An expression that can be negated
Field
A field: E.g.: 'DP', 'CHROM'
FieldConstant
A 'constant' field: e.g.
FieldConstant.FieldConstantNames
FieldGenotype
A field: E.g.: 'GEN[2].GT'
FieldIterator
Iterates on fields / sub-fields It's a singleton
FieldIterator.IteratorType
FieldLof
A LOF field form SnpEff: E.g.: 'LOF[2].GENE'
FieldSub
A field that has sub fields (e.g.
Match
Match a regular expression (string)
Classes in org.snpsift.lang.expression used by org.snpsift.lang.function
Class
Description
Expression
A generic expresion Expressions have values (VcfInfoType)